package performancemonster;

import performancemonster.loghandler.LogMessage;
import performancemonster.loghandler.LogSender;

public class MonsterLogger
{
  private static final String ENABLED = "PerformanceMonster.LogEnabled";
  private static final String SENDER_PORT = "PerformanceMonster.Port";
  private static final String HOST_NAME = "PerformaneMonster.HostName";

  private static final LogSender sender;
  private static final boolean enabled;
  
  static {
    enabled = Boolean.parseBoolean(System.getProperty(ENABLED, "true"));
    if (enabled) {
      sender = new LogSender();
      String port = System.getProperty(SENDER_PORT);
      if (port != null) {
        sender.setPort(Integer.parseInt(port));
      }
      String host = System.getProperty(HOST_NAME);
      if (host != null) {
        sender.setRemoteHost(host);
      }
    } else {
      sender = null;
    }
  }

  public static boolean isLogEnabled()
  {
    return enabled;
  }
  
  public static void begin(String category, String message)
  {
    if (enabled) {
      LogMessage logMessage = new LogMessage(category, "BEGIN " + message);
      sender.sendLogMessage(logMessage);
    }
  }
  
  public static void end(String category, String message)
  {
    if (enabled) {
      LogMessage logMessage = new LogMessage(category, "END " + message);
      sender.sendLogMessage(logMessage);
    }
  }
}
