package performancemonster.loghandler;

public class ThreadIdGenerator
{
  private static final ThreadLocal threadLocal = new ThreadLocal();
  private static volatile int threadId = 0;

  public static synchronized long getThreadId()
  {
    Long id = (Long) threadLocal.get();
    if (id == null) {
      id = new Long(threadId++);
      threadLocal.set(id);
    }
    return id.longValue();
  }
}
