package performancemonster.helpers;

/**
 * Used to store application-wide settings.
 */
public class SystemProperties
{
  private static final SystemProperties INSTANCE = new SystemProperties();

  private String instrumentPath = "";

  private int agentPortNumber = 4000;
  private int portNumber = 4446;
  private String logServerHost = "localhost";
  
  public static SystemProperties getInstance()
  {
    return INSTANCE;
  }
  
  public void setPortNumber(int portNumber)
  {
    this.portNumber  = portNumber;
  }
  
  public int getAgentPortNumber()
  {
    return agentPortNumber;
  }

  public int getPortNumber()
  {
    return portNumber;
  }

  public String getLogServerHost()
  {
    return logServerHost;
  }
  
  public void setInstrumentPath(String instrumentPath)
  {
    this.instrumentPath = instrumentPath;
  }
  
  public String getInstrumentPath()
  {
    return instrumentPath;
  }
}
