// PerformanceMonster
// Copyright (C) 2005  Ole Friis <olefriis@gmail.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

package performancemonster.instrumentation.impl.transform;

import java.util.Set;

import org.objectweb.asm.*;

public class InstrumentClassVisitor extends ClassAdapter
{
  private final Set<String> methodnames;
  
  public InstrumentClassVisitor(ClassVisitor visitor, Set<String> methodnames)
  {
    super(visitor);
    this.methodnames = methodnames;
  }

  public void visit(int version, int access, String name, String signature,
      String superName, String[] interfaces)
  {
    super.visit(version, access, name, signature, superName, interfaces);
  }

  public MethodVisitor visitMethod(int access, String name, String desc,
      String signature, String[] exceptions)
  {
    MethodVisitor mv = super.visitMethod(access, name, desc, signature,
        exceptions);
    if (methodnames.contains(name)) {
      // This method needs to be instrumented
      mv = new InstrumentMethodVisitor(mv, name);
    }
    return mv;
  }
}