// PerformanceMonster
// Copyright (C) 2005  Ole Friis <olefriis@gmail.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

package performancemonster.presentation.instrumentation.impl;

import java.util.Enumeration;

import javax.swing.tree.TreeNode;

import performancemonster.instrumentation.ClassDefinition;

public class ClassTreeNode implements TreeNode
{
  private final ClassDefinition classDefinition;
  private final TreeNode parent;
  
  public ClassTreeNode(TreeNode parent, ClassDefinition classDefinition)
  {
    this.parent = parent;
    this.classDefinition = classDefinition;
  }

  public TreeNode getChildAt(int childIndex)
  {
    throw new UnsupportedOperationException("No children for classes");
  }

  public int getChildCount()
  {
    throw new UnsupportedOperationException("No children for classes");
  }

  public TreeNode getParent()
  {
    return parent;
  }

  public int getIndex(TreeNode node)
  {
    throw new UnsupportedOperationException("No children for classes");
  }

  public boolean getAllowsChildren()
  {
    return false;
  }

  public boolean isLeaf()
  {
    return true;
  }

  public Enumeration children()
  {
    throw new UnsupportedOperationException("No children for classes");
  }
  
  public String toString()
  {
    return classDefinition.getShortName();
  }
  
  public ClassDefinition getClassDefinition()
  {
    return classDefinition;
  }
}
