package performancemonster.helpers;

import java.awt.Color;

import performancemonster.graph.GraphElement;
import performancemonster.graph.coloring.ColorRule;

public class MockFactory
{
  public static ColorRule createColorRule(String name, Color bar, Color border,
      String category, String message, String stackTrace)
  {
    ColorRule rule = new ColorRule(name);
    rule.setBarColor(bar);
    rule.setBorderColor(border);
    rule.setCategory(category);
    rule.setMessage(message);
    rule.setStackTrace(stackTrace);
    return rule;
  }
  
  public static GraphElement createGraphElement(final String category,
      final String message, final String stackTrace, final long beginning,
      final long end)
  {
    return new GraphElement()
    {
      public String getCategory()
      {
        return category;
      }
      
      public String getMessage()
      {
        return message;
      }
  
      public String getStackTrace()
      {
        return stackTrace;
      }
  
      public long getBeginning()
      {
        return beginning;
      }
  
      public long getEnd()
      {
        return end;
      }
    };
  }
}
