package performancemonster.test;

import junit.framework.TestCase;
import junit.framework.TestSuite;
import junit.textui.TestRunner;
import performancemonster.test.analyzer.AnalyzerTest;
import performancemonster.test.external.ExternalTest;
import performancemonster.test.graph.coloring.ColoringTest;
import performancemonster.test.instrumentation.InstrumentationTest;

public class PerformanceMonsterTest extends TestCase
{
  public static void main(String[] args)
  {
    TestRunner testRunner = new TestRunner();
    testRunner.doRun(suite());
  }
  
  public static TestSuite suite()
  {
    TestSuite suite = new TestSuite();
    suite.addTest(AnalyzerTest.suite());
    suite.addTest(ExternalTest.suite());
    suite.addTest(InstrumentationTest.suite());
    suite.addTest(ColoringTest.suite());
    return suite;
  }
}
