package performancemonster.test.instrumentation;

import java.io.FileInputStream;
import java.io.IOException;

public class FileToBytesComparator
{
  private final byte[] bytes;
  
  public FileToBytesComparator(String fileName)
  {
    try {
      FileInputStream fileInputStream = new FileInputStream(fileName);
      byte[] result = new byte[0];
      byte[] buffer = new byte[1024];
      for (int readBytes = fileInputStream.read(buffer, 0, 1024); readBytes != -1; readBytes = fileInputStream
          .read(buffer, 0, 1024)) {
        byte[] newResult = new byte[result.length + readBytes];
        System.arraycopy(result, 0, newResult, 0, result.length);
        System.arraycopy(buffer, 0, newResult, result.length, readBytes);
        result = newResult;
      }
      bytes = result;
    } catch (IOException e) {
      throw new IllegalStateException("Could not read file", e);
    }
  }
  
  public boolean compareToArray(byte[] other)
  {
    if (bytes.length != other.length) {
      System.out.println("Different lengths: " + bytes.length + " != "
          + other.length);
      return false;
    }
    for (int i = 0; i < bytes.length; i++) {
      if (bytes[i] != other[i]) {
        System.out.println("At position " + i + ": " + bytes[i] + " != "
            + other[i]);
        return false;
      }
    }
    return true;
  }
}
